Looks ok to me. One thing I'll note is that when changing these scripts
in a rhel branch, I'd make sure releng knows so they can make any
adjustments to the compose tools.
Radek Vykydal wrote:
Useful for early detection of the problem in compose.
---
scripts/mk-images | 1 +
scripts/mk-images.ia64 | 1 +
scripts/mk-images.x86 | 1 +
3 files changed, 3 insertions(+), 0 deletions(-)
diff --git a/scripts/mk-images b/scripts/mk-images
index c5a9afc..fff135a 100755
--- a/scripts/mk-images
+++ b/scripts/mk-images
@@ -740,6 +740,7 @@ makemainimage () {
mke2fs -q -F $mmi_tmpimage > /dev/null
tune2fs -c0 -i0 $mmi_tmpimage >/dev/null
mount -o loop $mmi_tmpimage $mmi_mntpoint
+ [ $? = 0 ] || return $?
(cd $IMGPATH; find . | fgrep -v "./usr/lib/anaconda-runtime" |
cpio -H crc -o) | (cd $mmi_mntpoint; cpio -iumd)
diff --git a/scripts/mk-images.ia64 b/scripts/mk-images.ia64
index 7d0f4dd..5843aa8 100644
--- a/scripts/mk-images.ia64
+++ b/scripts/mk-images.ia64
@@ -80,6 +80,7 @@ prepareBootImage() {
dd if=/dev/zero bs=1k count=$BOOTDISKSIZE of=$MBD_FILENAME 2>/dev/null
mkdosfs -C $MBD_FILENAME $BOOTDISKSIZE >/dev/null
mount -o loop -t vfat $MBD_FILENAME $MBD_BOOTTREE
+ [ $? = 0 ] || exit 1
cp -R $MBD_BOOTTREE_TMP/* $MBD_BOOTTREE
}
diff --git a/scripts/mk-images.x86 b/scripts/mk-images.x86
index 3173f11..38556f6 100644
--- a/scripts/mk-images.x86
+++ b/scripts/mk-images.x86
@@ -103,6 +103,7 @@ makeBootImages() {
mkdosfs $TOPDESTPATH/images/diskboot.img
$SYSLINUX $TOPDESTPATH/images/diskboot.img
mount -o loop $TOPDESTPATH/images/diskboot.img $TOPDESTPATH/images/fobpath
+ [ $? = 0 ] || exit 1
cp -r $TOPDESTPATH/isolinux/* $TOPDESTPATH/images/fobpath/
grep -v local $TOPDESTPATH/images/fobpath/isolinux.cfg > $TOPDESTPATH/images/fobpath/syslinux.cfg
rm -f $TOPDESTPATH/images/fobpath/isolinux.cfg
--
David Cantrell <dcantrell@xxxxxxxxxx>
Red Hat / Honolulu, HI
_______________________________________________
Anaconda-devel-list mailing list
Anaconda-devel-list@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/anaconda-devel-list